### Method

# Gio SettingsBackend changed

since: 2.26

#### Declaration

    void
    g_settings_backend_changed (
      GSettingsBackend* backend,
      const gchar* key,
      gpointer origin_tag
    )

#### Description

Signals that a single key has possibly changed. Backend implementations should call this if a key has possibly changed its value.

`key` must be a valid key (ie starting with a slash, not containing ‘//’, and not ending with a slash).

The implementation must call this function during any call to g_settings_backend_write(), before the call returns (except in the case that no keys are actually changed and it cares to detect this fact). It may not rely on the existence of a mainloop for dispatching the signal later.

The implementation may call this function at any other time it likes in response to other events (such as changes occurring outside of the program). These calls may originate from a mainloop or may originate in response to any other action (including from calls to g_settings_backend_write()).

In the case that this call is in response to a call to `g_settings_backend_write()` then `origin_tag` must be set to the same value that was passed to that call.

Available since: 2.26

#### Parameters

`key`

  Type: `const gchar*`

  The name of the key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`origin_tag`

  Type: `gpointer`

  The origin tag.

  The argument can be `NULL`.
  The data is owned by the caller of the method.